Name:          jackson-coreutils
Version:       1.8
Release:       1%{?dist}
Summary:       JSON Pointer (RFC 6901) and numeric JSON equivalence for Jackson (2.x) 
License:       ASL 2.0 and LGPLv3+
URL:           https://github.com/fge/jackson-coreutils
Source0:       https://github.com/fge/jackson-coreutils/archive/%{version}.tar.gz
Source1:       http://repo1.maven.org/maven2/com/github/fge/%{name}/%{version}/%{name}-%{version}.pom

BuildRequires: maven-local
BuildRequires: mvn(com.github.fge:msg-simple)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
This package is meant to be used with Jackson 2.x. It
provides the three following features:

° write/read JSON decimal numbers using BigDecimal
  (instead of double) for optimal numeric precision;
° (since 1.6) preconfigured JSON reader with trailing data
  detection support (see below);
° JSON numeric equivalence;
° JSON Pointer support.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find -name "*.class" -delete
find -name "*.jar" -print -delete

cp -p %{SOURCE1} pom.xml
%pom_xpath_inject "pom:project" "<packaging>bundle</packaging>"
%pom_add_plugin org.apache.felix:maven-bundle-plugin . '
<extensions>true</extensions>
<configuration>
  <instructions>
    <Bundle-SymbolicName>com.github.fge.jackson-coreutils</Bundle-SymbolicName>
    <Bundle-Name>jackson-coreutils</Bundle-Name>
    <Bundle-Version>${project.version}</Bundle-Version>
    <Export-Package>com.github.fge.jackson;version="${project.version}"</Export-Package>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>'

%mvn_file :%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc CONTRIBUTORS.md README.md RELEASE-NOTES.md
%license ASL-2.0.txt LGPL-3.0.txt LICENSE

%files javadoc -f .mfiles-javadoc
%license ASL-2.0.txt LGPL-3.0.txt LICENSE

%changelog
* Mon Mar 09 2015 gil cattaneo <puntogil@libero.it> 1.8-1
- initial rpm

